StoreConfigLifecycleListener (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.StoreConfigLifecycleListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class StoreConfigLifecycleListener

    java.lang.Object
      org.apache.catalina.storeconfig.StoreConfigLifecycleListener

All Implemented Interfaces:
  LifecycleListener

public class StoreConfigLifecycleListener
extends java.lang.Object
implements LifecycleListener

Load and Register StoreConfig MBean Catalina:type=StoreConfig,resource="url"

Author:
  Peter Rossbach

Constructor Summary
`StoreConfigLifecycleListener()`

Method Summary
`protected void` | `createMBean()` create StoreConfig MBean and load StoreRgistry MBeans name is Catalina:type=StoreConfig
`protected javax.management.modelmbean.ModelMBean` | `getManagedBean(java.lang.Object object)` Create a ManagedBean (StoreConfig)
`IStoreConfig` | `getStoreConfig()`
`java.lang.String` | `getStoreConfigClass()`
`java.lang.String` | `getStoreRegistry()`
`void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
`void` | `setStoreConfig(IStoreConfig storeConfig)`
`void` | `setStoreConfigClass(java.lang.String storeConfigClass)`
`void` | `setStoreRegistry(java.lang.String storeRegistry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreConfigLifecycleListener

    public StoreConfigLifecycleListener()

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Description copied from interface: `LifecycleListener`
  Acknowledge the occurrence of the specified event.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

### createMBean

    protected void createMBean()

  create StoreConfig MBean and load StoreRgistry MBeans name is Catalina:type=StoreConfig

### getManagedBean

    protected javax.management.modelmbean.ModelMBean getManagedBean(java.lang.Object object)
                                                             throws java.lang.Exception

  Create a ManagedBean (StoreConfig)

  Parameters:
    `object` -
  Returns:
    The bean
  Throws:
    `java.lang.Exception`

### getStoreConfig

    public IStoreConfig getStoreConfig()

  Returns:
    Returns the storeConfig.

### setStoreConfig

    public void setStoreConfig(IStoreConfig storeConfig)

  Parameters:
    `storeConfig` - The storeConfig to set.

### getStoreConfigClass

    public java.lang.String getStoreConfigClass()

  Returns:
    Returns the storeConfigClass.

### setStoreConfigClass

    public void setStoreConfigClass(java.lang.String storeConfigClass)

  Parameters:
    `storeConfigClass` - The storeConfigClass to set.

### getStoreRegistry

    public java.lang.String getStoreRegistry()

  Returns:
    Returns the storeRegistry.

### setStoreRegistry

    public void setStoreRegistry(java.lang.String storeRegistry)

  Parameters:
    `storeRegistry` - The storeRegistry to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.